XkbAddGeomOverlayRow(3)

NAME
XkbAddGeomOverlayRow - Add a row to an existing overlay

SYNOPSIS
XkbOverlayRowPtr XkbAddGeomOverlayRow ( overlay, row_under, sz_keys )
      XkbOverlayPtr overlay;
      XkbRowPtr row_under;
      int sz_keys;

ARGUMENTS

- overlay
    overlay to be updated

- row_under
    row to be overlayed in the section overlay overlays

- sz_keys
    number of keys to reserve in the row

DESCRIPTION

Xkb provides functions to add a single new element to the top-level keyboard geometry. In each case the num_ * fields of the corresponding structure is incremented by 1. These functions do not change sz_* unless there is no more room in the array. Some of these functions fill in the values of the element's structure from the arguments. For other functions, you must explicitly write code to fill the structure's elements. The top-level geometry description includes a list of geometry properties. A geometry property associates an arbitrary string with an equally arbitrary name. Programs that display images of keyboards can use geometry properties as hints, but they are not interpreted by Xkb. No other geometry structures refer to geometry properties. XkbAddGeomOverlayRow adds one row to the overlay. The new row contains space for sz_keys keys. If row_under specifies a row that doesn't exist on the underlying section, XkbAddGeomOverlayRow returns NULL and doesn't change the overlay. XkbAddGeomOverlayRow returns NULL if any of the parameters is empty or if it was not able to allocate space for the overlay.

STRUCTURES

    typedef struct _XkbOverlayRow {
        unsigned short      row_under;    /* index into the row under this overlay row */
        unsigned short      num_keys;     /* number of keys in the keys array */
        unsigned short      sz_keys;      /* size of the keys array */
        XkbOverlayKeyPtr    keys;         /* array of keys in the overlay row */
    } XkbOverlayRowRec,*XkbOverlayRowPtr;